CurrencyTableCellRenderer

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.table.renderers.client
Class CurrencyTableCellRenderer

    java.lang.Object
      org.openswing.swing.table.renderers.client.NumericTableCellRenderer
          org.openswing.swing.table.renderers.client.CurrencyTableCellRenderer

All Implemented Interfaces:
  javax.swing.table.TableCellRenderer

public class CurrencyTableCellRenderer
extends NumericTableCellRenderer

Title: OpenSwing Framework

Description: Column renderer used to format a currency type column.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Field Summary

Fields inherited from class org.openswing.swing.table.renderers.client.NumericTableCellRenderer
`VALUE_UNKNOWN`

Constructor Summary

`CurrencyTableCellRenderer(int decimals, boolean grouping, boolean hideZeroDigits, boolean currencySymbolOnLeft, java.lang.String currencySymbol, GridController gridController, IntegerColumnSettings dynamicSettings, int alignement, int leftMargin, int rightMargin, int topMargin, int bottomMargin, java.lang.String attributeName)`
Constructor.

Method Summary
`void` | `setCurrencySymbol(java.lang.String currencySymbol)` Set currency symbol.

Methods inherited from class org.openswing.swing.table.renderers.client.NumericTableCellRenderer
`finalize, getTableCellRendererComponent`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CurrencyTableCellRenderer

    public CurrencyTableCellRenderer(int decimals,
                                     boolean grouping,
                                     boolean hideZeroDigits,
                                     boolean currencySymbolOnLeft,
                                     java.lang.String currencySymbol,
                                     GridController gridController,
                                     IntegerColumnSettings dynamicSettings,
                                     int alignement,
                                     int leftMargin,
                                     int rightMargin,
                                     int topMargin,
                                     int bottomMargin,
                                     java.lang.String attributeName)

  Constructor.

Parameters:
  `decimals` - number of decimals
  `grouping` - flag used to enable grouping param currencySymbolOnLeft flag used to define the default position of currency symbol in currency control/column: on the left or on the right of the numeric value
  `currencySymbol` - currency symbol
  `gridController` - grid controller
  `dynamicSettings` - dynamic settings used to reset numeric editor properties for each grid row
  `attributeName` - attribute name associated to this column

Method Detail

### setCurrencySymbol

    public final void setCurrencySymbol(java.lang.String currencySymbol)

  Set currency symbol.

  Parameters:
    `currencySymbol` - currency symbol

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD